// Wall decoration - also used on grass area

textures/skeet_2014/decal_white
{
	qer_editorimage textures/skeet_2014/decal_white.tga
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/skeet_2014/decal_white.tga
		blendfunc filter
	}
}

// Used for the foot marks standing position

textures/skeet_2014/decal_grey
{
	qer_editorimage textures/skeet_2014/decal_grey.tga
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	surfaceparm nomarks	// Thanks to happyday for this
	{
		map textures/skeet_2014/decal_grey.jpg
		blendfunc gl_dst_color gl_src_color
	}
}

// General purpose light shader, for lignts

textures/skeet_2014/light1
{
	qer_editorimage textures/skeet_2014/light1.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/skeet_2014/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/skeet_2014/light1_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

// Display screen for thanks

textures/skeet_2014/screen
{
	qer_editorimage textures/skeet_2014/frame1.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 200
	surfaceparm trans
	q3map_lightimage map textures/skeet_2014/frame2.tga
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/skeet_2014/frame1.tga
	}	
}

// Display screen for previous winners

textures/skeet_2014/screen2
{
	qer_editorimage textures/skeet_2014/frame2.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 200
	surfaceparm trans
	q3map_lightimage map textures/skeet_2014/frame2.tga
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/skeet_2014/frame2.tga
	}	
}

// Display screen for something else

textures/skeet_2014/screen3
{
	qer_editorimage textures/skeet_2014/frame3.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 200
	surfaceparm trans
	q3map_lightimage map textures/skeet_2014/frame3.tga
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/skeet_2014/frame3.tga
	}	
}

// Reloader instructions, illuminated

textures/skeet_2014/reloader
{
	qer_editorimage textures/skeet_2014/reloader.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/skeet_2014/reloader.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Decorative metally for door frames and trim

textures/skeet_2014/steel1
{
	qer_editorimage textures/skeet_2014/steel1.tga
	{
		map textures/skeet_2014/steel1.tga
		rgbGen identity
	}
	{
		clampmap textures/skeet_2014/chrome1.tga
		blendfunc add
		rgbGen const ( 0.188235 0.188235 0.407843 )
		tcGen environment
	}
	{
		map textures/skeet_2014/steel1.tga
		blendfunc filter
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_src_alpha
		tcGen lightmap
	}
}

// MTC promo video

textures/skeet_2014/video
{
	qer_editorimage textures/skeet_2014/screen.tga
	surfaceparm nolightmap
	{
		videomap mtc.roq
		rgbGen identity
	}
	{
		map textures/skeet_2014/screen.tga
		blendfunc blend
		rgbGen Vertex
	}
}

// The skybox 

textures/skeet_2014/thesky
{
	qer_editorimage env/skeet_2014/skeet2014_up.tga
	q3map_lightRGB .92 .9 1
	q3map_skylight 800 6
	surfaceparm nomarks
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nodlight
	q3map_lightmapFilterRadius 0 8
	q3map_sunExt 1.000000 0.997119 0.99 260 90 55 2 4
	q3map_nolightmap
	skyparms env/skeet_2014/skeet2014 - -
}

// No damage for the floor - stops the bots from dying on impact with mixers

textures/skeet_2014/cement:q3map
{
    surfaceparm nodamage
}

textures/skeet_2014/carpet1:q3map
{
    surfaceparm nodamage
}

// The illuminated screen on the skeet sign board

models/mapobjects/skeet_2014/skeetsign
{
	qer_editorimage models/mapobjects/skeet_2014/skeetsign.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/skeet_2014/skeetsign.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Re-used from 2012 map

textures/skeet_2014/walllight
{
	qer_editorimage textures/skeet_2014/walllight.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 7000
	surfaceparm trans
	q3map_lightimage textures/skeet_2014/walllight.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/skeet_2014/walllight.tga
	}
}

// Usually from common but added because one of my common shaders is wrong

textures/skeet_2014/hint // should NOT use surfaceparm hint.. strange but true
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	// ydnar: yes it should.
}

textures/skeet_2014/skip
{
	qer_editorimage textures/skip.tga
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}

// Illuminated wall box signs

textures/skeet_2014/wall_reload
{
	qer_editorimage textures/skeet_2014/wall_reload.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	surfaceparm trans
	q3map_lightimage textures/skeet_2014/wall_reload.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/skeet_2014/wall_reload.tga
	}
}

// SevenofNines gold, silver bronze graphic, made transparent

textures/skeet_2014/wall_trophy
{
	qer_editorimage textures/skeet_2014/wall_trophy.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	surfaceparm trans
	q3map_lightimage textures/skeet_2014/wall_trophy.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/skeet_2014/wall_trophy.tga
	}
}

// Wall box illuminated sign for sevens room

textures/skeet_2014/wall_seven
{
	qer_editorimage textures/skeet_2014/wall_seven.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	surfaceparm trans
	q3map_lightimage textures/skeet_2014/wall_seven.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/skeet_2014/wall_seven.tga
	}
}

// Wall box illuminated sign for shooting area

textures/skeet_2014/wall_shooting
{
	qer_editorimage textures/skeet_2014/wall_shooting.tga
	light 1
	surfaceparm nomarks
	q3map_surfacelight 800
	surfaceparm trans
	q3map_lightimage textures/skeet_2014/wall_shooting.tga
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/skeet_2014/wall_shooting.tga
	}
}

// Mikey Fikeys Reflective glass shader from CMM wiki

models/mapobjects/fv_ss_trophy/trophy
{
	qer_editorimage models/mapobjects/fv_ss_trophy/trophy.tga
	q3map_forcemeta
	{
		map models/mapobjects/fv_ss_trophy/trophy.tga
	}
	{
		map textures/skeet_2014/chrome2.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE    
	}
	{
		map models/mapobjects/fv_ss_trophy/trophy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
	}
}

// Frankies trophy ribbons require this

models/mapobjects/fv_ss_trophy/ribbon
{
	cull none
	q3map_forcemeta
	{
		map models/mapobjects/fv_ss_trophy/ribbon.tga
	}
}

// HappyDay Shaders
//
// Cloth in trophy room

textures/skeet_2014/cloth:q3map
{
	cull none
	deformVertexes wave 8 sin .5 .5 0 .5
}

// Marble for pillars in trophy room

textures/skeet_2014/marble:q3map
{
	q3map_forcemeta
}

// Wooden trims on floors and ceilings

textures/skeet_2014/wood:q3map
{
	q3map_forcemeta
}

// Carpet trims

textures/skeet_2014/carpet_trim
{
	q3map_forcemeta
	polygonOffset
	nopicmip
	{
		map textures/skeet_2014/carpet_trim.tga
		alphafunc GE128
		rgbGen const ( 0.8 0.8 0.8 )
		depthWrite
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
	}
}

// Decals

textures/skeet_2014/decal01
{
	qer_editorimage textures/skeet_2014/decal01.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	polygonOffset
	q3map_bounceScale 0.0
	{
		map textures/skeet_2014/decal01.tga
		blendfunc filter
	}
}

textures/skeet_2014/decal03
{
	qer_editorimage textures/skeet_2014/decal03.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	polygonOffset
	q3map_bounceScale 0.0
	{
		map textures/skeet_2014/decal03.tga
		blendfunc filter
	}
}

textures/skeet_2014/decal04
{
	qer_editorimage textures/skeet_2014/decal04.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	polygonOffset
	q3map_bounceScale 0.0
	{
		map textures/skeet_2014/decal04.tga
		blendfunc filter
	}
}

textures/skeet_2014/decal_lamps
{
	qer_editorimage textures/skeet_2014/decal_lamps.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	polygonOffset
	q3map_bounceScale 0.0
	{
		map textures/skeet_2014/decal_lamps.tga
		blendfunc filter
	}
}

textures/skeet_2014/plant01
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_forcemeta
	cull none
	nopicmip
	{
		map textures/skeet_2014/plant01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/skeet_2014/plant02
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_forcemeta
	cull none
	nopicmip
	{
		map textures/skeet_2014/plant02.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/skeet_2014/plant03
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_forcemeta
	cull none
	nopicmip
	{
		map textures/skeet_2014/plant03.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/skeet_2014/plant04
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_forcemeta
	cull none
	nopicmip
	{
		map textures/skeet_2014/plant04.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/skeet_2014/banana
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/skeet_2014/banana.tga
		blendfunc filter
	}
}

textures/skeet_2014/orange
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/skeet_2014/orange.tga
		blendfunc filter
	}
}

textures/skeet_2014/raspberry
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/skeet_2014/raspberry.tga
		blendfunc filter
	}
}

textures/skeet_2014/coconut
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/skeet_2014/coconut.tga
		blendfunc filter
	}
}

textures/skeet_2014/mango
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	surfaceparm nomarks
	{
		map textures/skeet_2014/mango.tga
		blendfunc filter
	}
}

// Added goreclan decal 

textures/skeet_2014/gore_decal
{
	polygonOffset
	nomipmaps
	nopicmip
	surfaceparm trans
	surfaceparm nomarks	// Thanks to happyday for this
	{
		map textures/skeet_2014/gore_decal.jpg
		blendfunc gl_dst_color gl_src_color
	}
}

// Added this shader for the skeet model to include some glow

models/mapobjects/skeet2014/skeetmodel
{
	q3map_surfacelight 500
	q3map_forcemeta
	{
		map $lightmap
		rgbGen identity
	}
	{
		map models/mapobjects/skeet2014/skeetmodel.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map models/mapobjects/skeet2014/skeetmodel_g.tga
		blendfunc GL_ONE GL_ONE
	}
}

